<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/hadassah/demo/package-tree.html">com.hadassah.demo</a>, </li>
<li><a href="com/hadassah/demo/beans/package-tree.html">com.hadassah.demo.beans</a>, </li>
<li><a href="com/hadassah/demo/controllers/package-tree.html">com.hadassah.demo.controllers</a>, </li>
<li><a href="com/hadassah/demo/filters/package-tree.html">com.hadassah.demo.filters</a>, </li>
<li><a href="com/hadassah/demo/repos/package-tree.html">com.hadassah.demo.repos</a>, </li>
<li><a href="com/hadassah/demo/RestApi/package-tree.html">com.hadassah.demo.RestApi</a>, </li>
<li><a href="com/hadassah/demo/validators/package-tree.html">com.hadassah.demo.validators</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">com.hadassah.demo.beans.<a href="com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans"><span class="typeNameLink">AuthorizeSessionLogin</span></a> (implements java.io.Serializable)</li>
<li class="circle">com.hadassah.demo.RestApi.<a href="com/hadassah/demo/RestApi/DeleteHistory.html" title="class in com.hadassah.demo.RestApi"><span class="typeNameLink">DeleteHistory</span></a></li>
<li class="circle">com.hadassah.demo.<a href="com/hadassah/demo/DemoApplication.html" title="class in com.hadassah.demo"><span class="typeNameLink">DemoApplication</span></a></li>
<li class="circle">com.hadassah.demo.<a href="com/hadassah/demo/DemoApplicationTests.html" title="class in com.hadassah.demo"><span class="typeNameLink">DemoApplicationTests</span></a></li>
<li class="circle">com.hadassah.demo.controllers.<a href="com/hadassah/demo/controllers/GitHubSearchController.html" title="class in com.hadassah.demo.controllers"><span class="typeNameLink">GitHubSearchController</span></a></li>
<li class="circle">com.hadassah.demo.repos.<a href="com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><span class="typeNameLink">GitHubUser</span></a></li>
<li class="circle">com.hadassah.demo.controllers.<a href="com/hadassah/demo/controllers/HistoryController.html" title="class in com.hadassah.demo.controllers"><span class="typeNameLink">HistoryController</span></a></li>
<li class="circle">com.hadassah.demo.controllers.<a href="com/hadassah/demo/controllers/LogInController.html" title="class in com.hadassah.demo.controllers"><span class="typeNameLink">LogInController</span></a></li>
<li class="circle">com.hadassah.demo.beans.<a href="com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans"><span class="typeNameLink">LoginForm</span></a></li>
<li class="circle">com.hadassah.demo.filters.<a href="com/hadassah/demo/filters/LoginInterceptor.html" title="class in com.hadassah.demo.filters"><span class="typeNameLink">LoginInterceptor</span></a> (implements org.springframework.web.servlet.HandlerInterceptor)</li>
<li class="circle">com.hadassah.demo.validators.<a href="com/hadassah/demo/validators/LoginValidator.html" title="class in com.hadassah.demo.validators"><span class="typeNameLink">LoginValidator</span></a> (implements javax.validation.ConstraintValidator&lt;A,&#8203;T&gt;)</li>
<li class="circle">com.hadassah.demo.<a href="com/hadassah/demo/MyConfig.html" title="class in com.hadassah.demo"><span class="typeNameLink">MyConfig</span></a> (implements org.springframework.web.servlet.config.annotation.WebMvcConfigurer)</li>
<li class="circle">com.hadassah.demo.controllers.<a href="com/hadassah/demo/controllers/MyErrorController.html" title="class in com.hadassah.demo.controllers"><span class="typeNameLink">MyErrorController</span></a> (implements org.springframework.boot.web.servlet.error.ErrorController)</li>
<li class="circle">com.hadassah.demo.<a href="com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo"><span class="typeNameLink">ResponseObject</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;)
<ul>
<li class="circle">com.hadassah.demo.repos.<a href="com/hadassah/demo/repos/GitHubUserRepo.html" title="interface in com.hadassah.demo.repos"><span class="typeNameLink">GitHubUserRepo</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.hadassah.demo.repos.<a href="com/hadassah/demo/repos/GitHubUserRepo.html" title="interface in com.hadassah.demo.repos"><span class="typeNameLink">GitHubUserRepo</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Annotation Type Hierarchy">Annotation Type Hierarchy</h2>
<ul>
<li class="circle">com.hadassah.demo.validators.<a href="com/hadassah/demo/validators/ValidLogin.html" title="annotation in com.hadassah.demo.validators"><span class="typeNameLink">ValidLogin</span></a> (implements java.lang.annotation.Annotation)</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
